--create table stores (
	--id				int2,
	--store_name		text,
	--address			text,
	--suburb			text,
	--postcode		int4,
	--phone			text,
	--manager			text,
	--modem			text,
	--update_hour		int4,
	--update_minute	int4,
	--is_branch		bool,
	--next_custnum	int4,		-- next custnumber in sequence for this store
	--next_ordernum	int4		-- next ordernumber in sequence for this store

delete from stores;
insert into stores values (1,'SanGiorgio Rundle St','Cnr Rundle St & From Rd','ADELAIDE',5000,'8223 1700','George','82231701',7,0,'f',0,0);

--create table employee (
	--emp_code		text,
	--emp_name		text,
	--address			text,
	--suburb			text,
	--phone			text,
	--comments		text,
	--rate			float8,
	--tax_num			text

delete from employee;
insert into employee values ('GA','George Awkar','Belair Rd','TORRENS PARK','',10.0,'123 456 789');

--create table emp_times (
	--emp_code		text,
	--store_id		int2,
	--start_time		date,
	--end_time		date,
	--hours			int2,
	--minutes			int2,
	--rate			float8,
	--pay				float8,
	--paid			bool

delete from emp_times;

--create table emp_pay (
	--emp_code		text,
	--date_from		date,
	--date_to			date,
	--total_hours		int2,
	--total_mins		int2,
	--rate			float8,
	--bonus			float8,
	--tax				float8,
	--super			float8,
	--cash			bool,
	--cheque_num		text

delete from emp_pay;

--create table customers (
	--custnum			int4,
	--custname		text,
	--address			text,
	--phone			text,
	--suburb			text,
	--ubd				text,
	--comments		text,
	--lastorder_num	int4,
	--lastorder_date	date,
	--bad_cust		bool,
	--discount		int4   -- % discount on food items

delete from customers;

--create table suburbs (
	--suburb			text,
	--postcode		int4,
	--min_order		float8,
	--ubd				text,
	--store_id		int2		-- default store for this suburb

delete from suburbs;
insert into suburbs values ('ADELAIDE',5000,15.0,'118',1);
insert into suburbs values ('NORTH ADELAIDE',5006,15.0,'119',1);

--create table suburb_min (
	--store_id	int2,
	--suburb		text,
	--min_order	float8

delete from suburb_min;

--create table orders (
	--ordernum		int4,
	--store_id		int2,		-- which store took this order
	--is_pickup		bool,
	--custnum			int4,
	--pickup_name		text,
	--pickup_time		text,
	--order_date		date

delete from orders;

--create table ordet (
	--ordernum		int4,
	--seq_num			int4,
	--item_code		text,
	--description		text,
	--qty				int4,
	--price			float8

delete from ordet;

--create table users (
	--username	text,
	--passwd		text
	--);

delete from users;
insert into users values ('SG','sg');
insert into users values ('TRAIN','train');

--create table category (
	--code			char,
	--description		text,
	--allow_discount	bool
	--);

delete from category;
insert into category values ('P', 'Pizza','t');
insert into category values ('T', 'Pasta','t');
insert into category values ('S', 'Steak','t');
insert into category values ('C', 'Chicken','t');
insert into category values ('E', 'Seafood','t');
insert into category values ('D', 'Dessert','t');
insert into category values ('Z', 'Specials','f');
insert into category values ('R', 'Drinks','f');
insert into category values ('A', 'Appetisers','t');

--create table items (
	--category		char,
	--code			text,
	--description		text,
	--price			float8,
	--change_price	bool,			-- allow this price to be changed
	--print_qty		bool			-- include the qty on the docket ?
	--);

delete from items;
insert into items values ('P', 'SMA', 'Small Margherita',8.0,'f','t');
insert into items values ('P', 'SAU', 'Small Australian',8.5,'f','t');
insert into items values ('P', 'SAM', 'Small American',9.0,'f','t');
insert into items values ('P', 'SHW', 'Small Hawiian',9.0,'f','t');
insert into items values ('P', 'SCP', 'Small Capriciosa',9.0,'f','t');
insert into items values ('P', 'SSP', 'Small Special',9.0,'f','t');
insert into items values ('P', 'SVG', 'Small Vegetarian',9.0,'f','t');
insert into items values ('P', 'SML', 'Small Meat Lovers',9.5,'f','t');
insert into items values ('P', 'SMX', 'Small Mexican',9.5,'f','t');
insert into items values ('P', 'SSG', 'Small SanGiorgio',9.5,'f','t');
insert into items values ('P', 'SCH', 'Small Chicken Hawiian',9.5,'f','t');
insert into items values ('P', 'SSE', 'Small Seafood',9.5,'f','t');
insert into items values ('P', 'SSU', 'Small Supreme',9.5,'f','t');

