#include <stdio.h>
#include <sys/types.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <arpa/inet.h>
#include <netdb.h>
#include <unistd.h>
#include "inform_all.h"
#include <stdlib.h>

void inform_all ()
{
	int mySocket;
	struct hostent *hostPtr;
	struct hostent myHost;
	FILE *fp;
	static char Buffer[32];
	char *ptr;
	int thePort;
	struct sockaddr_in myAddr;
	
	fp = fopen ("inform.data", "r");
	if (!fp) return;
	while (fgets (Buffer, sizeof (Buffer), fp))
	{
		ptr = strchr (Buffer, ' ');
		if (!ptr) 
			ptr = strchr (Buffer, '\t');
		if (!ptr) continue;

		thePort = atoi (ptr+1);
		*ptr = 0;

		printf ("Inform host '%s' on port %d\n", Buffer, thePort);

		hostPtr = gethostbyname (Buffer);
		if (hostPtr == NULL)
		{
			perror ("gethostbyname");
			continue;
		}

		myHost = *hostPtr;

		myAddr.sin_family = myHost.h_addrtype;
		myAddr.sin_port = htons (thePort);
		myAddr.sin_addr = * ((struct in_addr *) myHost.h_addr);

		if ((mySocket = socket (AF_INET, SOCK_STREAM, 0)) == -1)
		{
			perror ("Create inform socket\n");
			return;
		}

		if (connect (mySocket, (struct sockaddr *) &myAddr, sizeof(myAddr)) == -1)
		{
			perror ("connecting inform socket");
			continue;
		}

		// our job is now done
		shutdown (mySocket, 2);
		close (mySocket);
	}
	fclose (fp);
}
